## fpyutils 1.2.2

=== Makefile ===
#!/usr/bin/env make
#
# Makefile
#
# Copyright (C) 2017-2020 frnmst (Franco Masotti) <franco.masotti@live.com>
#
# This file is part of fpyutils.
#
# fpyutils is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# fpyutils is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with fpyutils.  If not, see <http://www.gnu.org/licenses/>.
#

export PACKAGE_NAME=fpyutils

default: doc

doc:
	pipenv run $(MAKE) -C docs html

install:
	pip3 install . --user

uninstall:
	pip3 uninstall --yes $(PACKAGE_NAME)

install-dev:
	pipenv install --dev
	pipenv run pre-commit install

uninstall-dev:
	pipenv --rm

test:
	python -m unittest fpyutils.tests.tests --failfast --locals --verbose

dist:
	pipenv run python setup.py sdist
	pipenv run python setup.py bdist_wheel
	pipenv run twine check dist/*

upload:
	pipenv run twine upload dist/*

clean:
	rm -rf build dist *.egg-info
	pipenv run $(MAKE) -C docs clean

.PHONY: default doc install uninstall install-dev uninstall-dev test clean

=== debian/changelog ===
fpyutils (1.2.2-1) sid; urgency=medium

  * Initial release (Closes: #985831)

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 24 Mar 2021 11:48:58 +0100

=== debian/control ===
Source: fpyutils
Section: net
Priority: optional
Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-ilorest-doc,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-wheel,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/frnmst/fpyutils
Vcs-Browser: https://salsa.debian.org/saki-guest/fpyutils.git
Vcs-Git: https://salsa.debian.org/saki-guest/fpyutils.git

Package: python-fpyutils-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: collection of useful non-standard Python functions (docs)
 A collection of useful non-standard Python functions which aim to be
 simple to use, highly readable but not efficient.
 .
 This package provides the documentation for fpyutils.

Package: python3-fpyutils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-fpyutils-doc,
Description: collection of useful non-standard Python functions (Python 3)
 A collection of useful non-standard Python functions which aim to be
 simple to use, highly readable but not efficient.
 .
 This package contains the Python 3.x module.

## fpyutils 2.1.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile
 #
-# Copyright (C) 2017-2020 frnmst (Franco Masotti) <franco.masotti@live.com>
+# Copyright (C) 2017-2020 Franco Masotti (franco \D\o\T masotti {-A-T-} tutanota \D\o\T com)
 #
 # This file is part of fpyutils.
 #
@@ -24,28 +24,41 @@
 
 default: doc
 
-doc:
+doc: clean
 	pipenv run $(MAKE) -C docs html
 
 install:
 	pip3 install . --user
 
 uninstall:
-	pip3 uninstall --yes $(PACKAGE_NAME)
+	pip3 uninstall --verbose --yes $(PACKAGE_NAME)
 
 install-dev:
 	pipenv install --dev
 	pipenv run pre-commit install
+	pipenv graph
+	pipenv check
 
 uninstall-dev:
+	rm -f Pipfile.lock
 	pipenv --rm
 
+update: install-dev
+	pipenv run pre-commit autoupdate
+
 test:
-	python -m unittest fpyutils.tests.tests --failfast --locals --verbose
+	pipenv run python -m unittest $(PACKAGE_NAME).tests.tests --failfast --locals --verbose
 
 dist:
 	pipenv run python setup.py sdist
-	pipenv run python setup.py bdist_wheel
+	# Create a reproducible archve at least on the wheel.
+	# See
+	# https://bugs.python.org/issue31526
+	# https://bugs.python.org/issue38727
+	# https://github.com/pypa/setuptools/issues/1468
+	# https://github.com/pypa/setuptools/issues/2133
+	# https://reproducible-builds.org/docs/source-date-epoch/
+	SOURCE_DATE_EPOCH=$$(git log -1 --pretty=%ct) pipenv run python setup.py bdist_wheel
 	pipenv run twine check dist/*
 
 upload:
@@ -55,4 +68,4 @@
 	rm -rf build dist *.egg-info
 	pipenv run $(MAKE) -C docs clean
 
-.PHONY: default doc install uninstall install-dev uninstall-dev test clean
+.PHONY: default doc install uninstall install-dev uninstall-dev update test clean

=== debian/changelog ===
fpyutils (2.1.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.0.
  * d/changelog: Correcting typo for 1.2.2-1.
  * d/control: Changing Vcs path + removing .git suffix from Vcs-Browser.
  * d/copyright: Updating copyright.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 19 Dec 2021 13:57:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  python3-sphinx,
  python3-wheel,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/frnmst/fpyutils
-Vcs-Browser: https://salsa.debian.org/saki-guest/fpyutils.git
-Vcs-Git: https://salsa.debian.org/saki-guest/fpyutils.git
+Vcs-Browser: https://salsa.debian.org/saki/fpyutils
+Vcs-Git: https://salsa.debian.org/saki/fpyutils.git
 
 Package: python-fpyutils-doc
 Architecture: all

## fpyutils 2.2.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile
 #
-# Copyright (C) 2017-2020 Franco Masotti (franco \D\o\T masotti {-A-T-} tutanota \D\o\T com)
+# Copyright (C) 2017-2022 Franco Masotti (franco \D\o\T masotti {-A-T-} tutanota \D\o\T com)
 #
 # This file is part of fpyutils.
 #

=== debian/changelog ===
fpyutils (2.2.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.2.0.
  * d/contol: Increment Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 27 Jun 2022 21:23:25 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-sphinx,
  python3-wheel,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/frnmst/fpyutils
 Vcs-Browser: https://salsa.debian.org/saki/fpyutils
 Vcs-Git: https://salsa.debian.org/saki/fpyutils.git

## fpyutils 2.2.1

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 install-dev:
 	pipenv install --dev
 	pipenv run pre-commit install
+	pipenv run pre-commit install --hook-type commit-msg
 	pipenv graph
 	pipenv check
 
@@ -58,7 +59,7 @@
 	# https://github.com/pypa/setuptools/issues/1468
 	# https://github.com/pypa/setuptools/issues/2133
 	# https://reproducible-builds.org/docs/source-date-epoch/
-	SOURCE_DATE_EPOCH=$$(git log -1 --pretty=%ct) pipenv run python setup.py bdist_wheel
+	SOURCE_DATE_EPOCH=$$(git -c log.showSignature='false' log -1 --pretty=%ct) pipenv run python setup.py bdist_wheel
 	pipenv run twine check dist/*
 
 upload:

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = fpyutils
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
fpyutils (2.2.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.2.1.
  * d/control: Increment Standards-Version.
  * d/changelog: Correcting typo in version 2.2.0-1.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 05 Jan 2023 18:44:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-sphinx,
  python3-wheel,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/frnmst/fpyutils
 Vcs-Browser: https://salsa.debian.org/saki/fpyutils
 Vcs-Git: https://salsa.debian.org/saki/fpyutils.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fpyutils

%:
	dh ${@} --buildsystem=pybuild --with python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME)/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc

	# These files are empty..
	rm -f debian/python-fpyutils-doc/usr/share/doc/python-fpyutils-doc/html/.nojekyll
endif

override_dh_auto_test:
	# disabled, testsuite doesn't work yet.

## fpyutils 4.0.1

=== Makefile ===
#
# Makefile
#
# Copyright (C) 2017-2022 Franco Masotti (franco \D\o\T masotti {-A-T-} tutanota \D\o\T com)
#
# This file is part of fpyutils.
#
# fpyutils is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# fpyutils is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with fpyutils.  If not, see <http://www.gnu.org/licenses/>.
#

export PACKAGE_NAME=fpyutils

# See
# https://docs.python.org/3/library/venv.html#how-venvs-work
export VENV_CMD=. .venv/bin/activate

default: install-dev

doc:
	$(VENV_CMD) \
		&& $(MAKE) -C docs html \
		&& $(MAKE) -C docs latexpdf \
		&& deactivate

install:
	# pip 23 introduced the '--break-system-packages' option.
	python3 -c 'import pip; import sys; sys.exit(0) if int(pip.__version__.split(".")[0]) >= 23 else sys.exit(1)' \
		&& pip3 install --break-system-packages . --user \
		|| pip3 install . --user

uninstall:
	# pip 23 introduced the '--break-system-packages' option.
	python3 -c 'import pip; import sys; sys.exit(0) if int(pip.__version__.split(".")[0]) >= 23 else sys.exit(1)' \
		&& pip3 uninstall --break-system-packages --verbose --yes $(PACKAGE_NAME) \
		|| pip3 uninstall --verbose --yes $(PACKAGE_NAME)

install-dev:
	python3 -m venv .venv
	$(VENV_CMD) \
		&& pip install --requirement requirements-freeze.txt \
		&& deactivate
	$(VENV_CMD) \
		&& pre-commit install \
		&& deactivate
	$(VENV_CMD) \
		&& pre-commit install --hook-type commit-msg \
		&& deactivate

regenerate-freeze: uninstall-dev
	python3 -m venv .venv
	$(VENV_CMD) \
		&& pip install --requirement requirements.txt --requirement requirements-dev.txt \
		&& pip freeze --local > requirements-freeze.txt \
		&& deactivate

uninstall-dev:
	rm -rf .venv

update: install-dev
	$(VENV_CMD) \
		&& pre-commit autoupdate \
			--repo https://github.com/pre-commit/pre-commit-hooks \
			--repo https://github.com/PyCQA/bandit \
			--repo https://github.com/pycqa/isort \
			--repo https://codeberg.org/frnmst/md-toc \
			--repo https://github.com/mgedmin/check-manifest \
			--repo https://github.com/jorisroovers/gitlint \
		&& deactivate

test:
	$(VENV_CMD) \
		&& tox run-parallel \
		&& deactivate

pre-commit:
	$(VENV_CMD) \
		&& pre-commit run --all \
		&& deactivate

dist:
	# Create a reproducible archive at least on the wheel.
	# See
	# https://bugs.python.org/issue31526
	# https://bugs.python.org/issue38727
	# https://github.com/pypa/setuptools/issues/1468
	# https://github.com/pypa/setuptools/issues/2133
	# https://reproducible-builds.org/docs/source-date-epoch/
	$(VENV_CMD) \
		&& SOURCE_DATE_EPOCH=$$(git -c log.showSignature='false' log -1 --pretty=%ct) \
		python -m build \
		&& deactivate
	$(VENV_CMD) \
		&& twine check --strict dist/* \
		&& deactivate

upload:
	$(VENV_CMD) \
		&& twine upload dist/* \
		&& deactivate

clean:
	rm -rf build dist *.egg-info tests/benchmark-results
	# Remove all markdown files except the readmes.
	find -regex ".*\.[mM][dD]" ! -name 'README.md' ! -name 'CONTRIBUTING.md' -type f -exec rm -f {} +
	$(VENV_CMD) \
		&& $(MAKE) -C docs clean \
		&& deactivate

.PHONY: default doc install uninstall install-dev uninstall-dev update test clean demo pre-comit

=== debian/changelog ===
fpyutils (4.0.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 09 Apr 2025 07:41:29 +0200

fpyutils (4.0.1-2) experimental; urgency=medium

  * d/rules: Improve dh_sphinxdoc override.
  * d/control:
    - Modernizing dh-python invocation.
    - Add Build-Depends for PEP517.
    - Apply multi-arch hints.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 03 Apr 2025 15:29:38 +0200

fpyutils (4.0.1-1) experimental; urgency=medium

  * New upstream version 4.0.1.
  * d/control:
    - Adding Build-Depends.
    - Updating Standards-Version.
  * Adding d/gbp.conf.
  * d/changelog: Changing naming sid to unstable.
  * Add d/watch file.
  * d/copyright: Updating years.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 02 Apr 2025 16:12:50 +0200

fpyutils (2.2.1-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.2.1.
  * d/control: Increment Standards-Version.
  * d/changelog: Correcting typo in version 2.2.0-1.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 05 Jan 2023 18:44:36 +0100

fpyutils (2.2.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.2.0.
  * d/control: Increment Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 27 Jun 2022 21:23:25 +0200

fpyutils (2.1.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.1.0.
  * d/changelog: Correcting typo for 1.2.2-1.
  * d/control: Changing Vcs path + removing .git suffix from Vcs-Browser.
  * d/copyright: Updating copyright.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 19 Dec 2021 13:57:16 +0100

fpyutils (1.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #985831).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 24 Mar 2021 11:48:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,18 @@
 Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python-ilorest-doc,
  python3-all,
+ python3-pydata-sphinx-theme,
  python3-setuptools,
  python3-sphinx,
+ python3-sphinx-book-theme,
+ python3-sphinx-copybutton,
  python3-wheel,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/frnmst/fpyutils
 Vcs-Browser: https://salsa.debian.org/saki/fpyutils
 Vcs-Git: https://salsa.debian.org/saki/fpyutils.git
@@ -22,6 +26,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: collection of useful non-standard Python functions (docs)
  A collection of useful non-standard Python functions which aim to be
  simple to use, highly readable but not efficient.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fpyutils

%:
	dh ${@} --buildsystem=pybuild --with sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc

	# These files are empty..
	rm -f debian/python-fpyutils-doc/usr/share/doc/python-fpyutils-doc/html/.nojekyll
endif

override_dh_auto_test:
	# disabled, testsuite doesn't work yet.

=== debian/watch ===
version=4
https://github.com/frnmst/fpyutils/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
